Subject: bug#31338: closed (Re: bug#31338: none of the css-* defuns are available)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Jun 2018 12:34:02 +0000

Your bug report

#31338: none of the css-* defuns are available

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31338: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31338
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31338: none of the css-* defuns are available
From: Simen Heggestøyl <[email-masked]>
To: 積丹尼 Dan Jacobson <[email-masked]>
Cc: [email-masked]
Date: Sun, 24 Jun 2018 14:32:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The mode's documentation string was extended in Emacs 26.1, please see
if you find the documentation there sufficient. Otherwise feel free to
provide concrete suggestions for further improvements.

I've updated the docstring to mention fill-paragraph too, which will
be visible in Emacs 26.2.

Subject: none of the css-* defuns are available
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Wed, 02 May 2018 04:30:40 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

We take a css file that is all on one line,
$ wc /tmp/o.css
   1  144 4835 /tmp/o.css
and try to reformat it.
$ emacs /tmp/o.css
But none of the css-* defuns are available,
M-x css-<TAB>
only shows css-mode.
And C-h m only shows prog-indent-sexp which is of no help.
emacs-version "25.2.2"

OK I ended up doing
(query-replace "}" "}
" nil (if (use-region-p) (region-beginning)) (if (use-region-p)
(region-end)) nil nil)
which was all I needed.